VOGONS

Common searches


InstallShield Wrapper

Topic actions

  • This topic is locked. You cannot reply or edit posts.

First post, by AxXxB

User metadata
Rank Newbie
Rank
Newbie

The InstallShield Wrapper program is a "wrapper" for older versions of InstallShield installers (3.x and 5.x) and is designed to workaround following problems in 64-bit Windows:

  1. Error "This verison of this file is not compatible with the version of Windows you're running..." (InstallShield v 3.x) (screenshot: http://static.old-games.ru/uploadedimages/201 … e9aae4b5ab8.png)
  2. Error "Setup is unable to find installation languages in D:\SETUP.LID file. Error 105" (InstallShield v 5.x) (screenshot: http://static.old-games.ru/uploadedimages/201 … a6b0f615d02.png)
  3. Error "Setup is unable to find _SETUP.DLL, which is needed to complete the installation. Error 103" (InstallShield v 5.x) (screenshot: http://static.old-games.ru/uploadedimages/201 … a6b1949604c.png)

    Note that a workaround for the first error is implemented ONLY for InstallShield 3.* and 5.*. In other words, if you see this error it doesn't mean that this program will 100% help you. You have to make sure that this error is returned by InstallShield 3.* or 5.* version (see at file Properties of problem EXE).

Direct link to zip archive with program installator (706 KiB): http://www.old-games.ru/forum/attachment.php? … achmentid=24050
Direct link to zip archive with program source code (1.45 MiB): http://www.old-games.ru/forum/attachment.php? … achmentid=24051

List of tested games:
Star Wars: Pit Droids (IS v5)
Star Wars: Monopoly (IS v5)
Enemy Infestation (IS v5)
Road Rash (IS v3)
Star Wars: Episode 1 - Racer (IS v3)
Star Wars: X-Wing (IS v3)
Star Wars: TIE Fighter (IS v3)
Star Wars: X-Wing vs. TIE Fighter (IS v3)
Star Wars: X-Wing Alliance (IS v3)
Star Wars: Episode I: Racer (IS v3)
Star Wars: Episode I: Battle For Naboo (IS v3)
Star Wars: Episode I: The Phantom Menace (IS v3)
Star Wars: Force Commander (IS v3)
Star Wars: Rebellion (IS v3)
Star Wars: Rogue Squadron (IS v3)
Star Wars: Shadows of the Empire (IS v3)
Star Wars: Yoda Stories (IS v3)
Star Wars: Jar Jar's Journey (IS v3)
(most of these games were tested by Star Wars fan 😀)

You can read about technical stuff at old-games.ru (in Russian): http://www.old-games.ru/forum/showthread.php?t=61789. Use Google Translate for reading it if you are interested 😀

Any feedback is very appreciated!

Last edited by AxXxB on 2015-06-05, 13:34. Edited 4 times in total.

Reply 3 of 24, by VirtuaIceMan

User metadata
Rank Oldbie
Rank
Oldbie

Interesting, could provide an alternative to the replacement exes here: http://www.reactos.org/forum/viewtopic.php?t=10988

My PC spec: Win10 64bit, i7-4970K (not overclocked), KFA2 GeForce RTX 2070 SUPER, Creative Soundblaster ZXr, 16GB RAM, Asus Z97-A motherboard, NZXT 410 case, ROG Swift GSYNC monitor

Reply 4 of 24, by AxXxB

User metadata
Rank Newbie
Rank
Newbie
VirtuaIceMan wrote:

Interesting, could provide an alternative to the replacement exes here: http://www.reactos.org/forum/viewtopic.php?t=10988

InstallShield Wrapper does a little more, but, btw, based on this method. Once you install the program, you will not have to copy any files or substitute something, everything will be completely transparent - all the necessary operations will be made automatically at the time of launch of the original installer from the CD or anywhere. Besides, only this program can fix the errors 2 and 3 (see first post), I had to edit InstallShield engine EXE to make it possible 😀

Reply 6 of 24, by ogry

User metadata
Rank Newbie
Rank
Newbie

I register only to post that this is a great job, but unfortunaly does not work with some old installshield setups.

This is an example:

QuartzAudioMasterFreewareE.exe

You can found a copy at archive.org

https://ia802303.us.archive.org/18/items/tuco … erFreewareE.exe

When tried it says: "Unable to open temporary file"

Reply 7 of 24, by collector

User metadata
Rank l33t
Rank
l33t

That is a very old InstallShield installer. It is a purely 16-bit installer that predates the IS cab file era. Even though it is packed in a 32-bit self extracting web distribution package, the packed installation package was very clearly intended for physical floppy distribution. I did not try to unpack the program files, but I would not be surprised if the program itself was 16-bit, too.

The Sierra Help Pages -- New Sierra Game Installers -- Sierra Game Patches -- New Non-Sierra Game Installers

Reply 8 of 24, by Silanda

User metadata
Rank Member
Rank
Member

Is there any chance of supporting Installshield SDK edition? The version number given by the files in the one example of this I've tried is 2.20.913.0. Replacing the original setup files with the ones from the wrapper for Installshield 3 seems to work, as long as I make a small hex edit to the setup.ins file (changing byte 04 from 1C to 16).

Reply 9 of 24, by AxXxB

User metadata
Rank Newbie
Rank
Newbie
ogry wrote:

I register only to post that this is a great job, but unfortunaly does not work with some old installshield setups.
...
When tried it says: "Unable to open temporary file"

Yep, that's a bug in Wrapper. I fixed it in my local testing version, but it seems that Wrapper can't launch the IS 3 Engine if files to install are packed into archive that is divided on several parts (_SETUP.1, _SETUP.2 etc) for placing on several disks. When it's time to change disk, IS Engine says "General file transfer error. Please check your target location and try again. Error Number:-32" and exits. Maybe I should write some command line switch for supporting disks, I can't figure that out. Oh, yes, your QuartzAudioMaster has that divided archive, so Wrapper can't install it. When I'll fix that, I'll post here and will update the program.

Silanda wrote:

Is there any chance of supporting Installshield SDK edition?

Well, I see you have more knowledge about IS than me, I know nothing about IS SDK and INS file format 😀 So if you can instruct me what steps the program should do, I'll implement them.

Reply 10 of 24, by AxXxB

User metadata
Rank Newbie
Rank
Newbie

Version 2.2 is released. Fixed some bugs and added support for old InstallShield 3 setups reported by ogry - this is done by realization of some Win16 API functions and NXVM (https://github.com/cshaxu/nxvm).

Links to new version are in the first post.

Last edited by AxXxB on 2015-06-05, 13:33. Edited 1 time in total.

Reply 11 of 24, by mockingbird

User metadata
Rank Member
Rank
Member
AxXxB wrote:

Version 3.2 is released. Fixed some bugs and added support for old InstallShield 3 setups reported by ogry - this is done by realization of some Win16 API functions and NXVM (https://github.com/cshaxu/nxvm).

Links to new version are in the first post.

I installed the program, and then ran Setupex_QuartzAudioMasterFreewareE.exe in Windows XP x64, but I got these errors, same as before installing it:

file.php?id=17826

iis2.png
Filename
iis2.png
File size
5.72 KiB
Views
11376 views
File license
Fair use/fair dealing exception

Attachments

  • Filename
    iis.png
    File size
    7.09 KiB
    Downloads
    No downloads
    File license
    Fair use/fair dealing exception

7ivtic.png

Reply 12 of 24, by AxXxB

User metadata
Rank Newbie
Rank
Newbie

InstallShield Wrapper uses system mechanism that can start 32-bit or 64-bit application instead of starting 16-bit application (https://msdn.microsoft.com/en-us/librar ... 3(v=vs.85)). It seems like XP x64 doesn't have mechanism for such a substitution of 16-bit applications 🙁

Reply 13 of 24, by eadmaster

User metadata
Rank Newbie
Rank
Newbie

hi, i'm trying to install Carmageddon 3 - TDR 2000 from the US retail CD.
The "Setup.exe" is based on InstallShield v6.10.100.1281
I've tried setting various compatibility modes and running as admin, but on Win7 64-bit it always gives this error:

Setup failed to launch installation engine:

Class not registered

Reply 15 of 24, by mockingbird

User metadata
Rank Member
Rank
Member
AxXxB wrote:

InstallShield Wrapper uses system mechanism that can start 32-bit or 64-bit application instead of starting 16-bit application (https://msdn.microsoft.com/en-us/librar ... 3(v=vs.85)). It seems like XP x64 doesn't have mechanism for such a substitution of 16-bit applications 🙁

I just checked the registry entries referenced in that MSDN link, and it seems that XP x64 also has this feature. The directories are a little different from Windows 7 however. I've attached it, if you'd like to take a look.

Filename
is.zip
File size
659 Bytes
Downloads
94 downloads
File license
Fair use/fair dealing exception

7ivtic.png

Reply 16 of 24, by Mr.Blade

User metadata
Rank Newbie
Rank
Newbie

Thanks for your program.

Unfortunately, it completly messed up InstallShield on my computer.

If the InstallShield Wrapper is installed, it's not possible to install games anymore which are based on a x86 version of InstallShield 5. All setups cancel with an error message that Windows couldn't access the file.

Then I uninstalled the InstallShield Wrapper via Programs and Features. However, I'm still unable to install games with the x86 version of InstallShield. It always appears an error message which says that "%P doesn't support Windows NT" instead of the old message.

And, yes, all these installers worked fine before I installed your wrapper.

So how can I uninstall the Wrapper completly and restore the Windows defaults?

Thanks!

Banner01_Small.jpg

Reply 18 of 24, by Gamecollector

User metadata
Rank Oldbie
Rank
Oldbie
Mr.Blade wrote:

Unfortunately, it completly messed up InstallShield on my computer.

Strange.
I use this wrapper for nGlide test pack. Most games in this pack use IS5 32-bit. Some games use IS3 and IS5 16-bit.
There are some troubles (can't start 16-bit setup.exe from another program, like autoruns etc) but the wrapper don't break anything.

Asus P4P800 SE/Pentium4 3.2E/2 Gb DDR400B,
Radeon HD3850 Agp (Sapphire), Catalyst 14.4 (XpProSp3).
Voodoo2 12 MB SLI, Win2k drivers 1.02.00 (XpProSp3).

Reply 19 of 24, by Mr.Blade

User metadata
Rank Newbie
Rank
Newbie

Thanks for your answer!

Yes, this issue is indeed very strange.

The problem relates to for example this quite unknown game, Superbike: World Championship (1998):

https://www.youtube.com/watch?v=-KxmwoUtBvY

If the InstallShield Wrapper is installed, the following error occurs:

http://abload.de/img/error_1eouf8.png

... which essentially means that Windows can not access the file due to limited access.

Then I uninstalled InstallShield Wrapper and instead of the first one the following error message appears (Of course I tried various settings concerning the compatibility mode):

http://abload.de/img/error_028iu0v.png

File details of setup.exe:

http://abload.de/img/error_03vbu02.png

And before I just installed InstallShield Wrapper for the fist time, the installer worked fine so far. It still does on my notebook where I also use Windows 8.1 (x64) as operating system.

Banner01_Small.jpg